#!/bin/bash
%if %%getVar('activer_samba_backup', 'non') == 'oui'
# configuration variables for samba_backup script
 %if %%getVar('samba_backup_bareos', 'non') == 'oui'
# export only ldb (using tdbbackup)
WHEN_FORMAT="--iso-8601"
 %else
  %if %%int(%%samba_backup_interval) < 24
WHEN_FORMAT="--iso-8601=minutes"
  %else
WHEN_FORMAT="--iso-8601"
  %end if
 %end if
WHERE=%%samba_backup_dest_dir
DAYS=%%samba_backup_retention
 %if %%mode_conteneur_actif == 'oui'
SERVER=%%ad_calc_dc_domainname
 %else
SERVER=%%nom_domaine_machine
 %end if
%else
# Pas d’archivage configuré sur ce serveur. Valeurs par défaut pour sauvegarde manuelle
WHEN_FORMAT="--iso-8601"
WHERE="/home/backup/samba"
DAYS=7
 %if %%mode_conteneur_actif == 'oui'
SERVER=%%ad_calc_dc_domainname
 %else
SERVER=%%nom_domaine_machine
 %end if
%end if
